/**
 *
 * User: Martin Donnelly
 * Date: 2016-08-01
 * Time: 16:33
 *
 */

(function($) {

  var skycons = new Skycons({"color": "#dcecff"});

this.clock = new Clock({model: new ClockModel()});

  navigator.geolocation.getCurrentPosition(function(position) {
          var latitude = position.coords.latitude;
          var longitude = position.coords.longitude;

          self.weather = new Weather({model: new WeatherModel({lat: latitude, long: longitude})});
        },
           function(e) {console.error(e.code + ' / ' + e.message);});

})(jQuery);
